//
//  InsertCostCentreViewController.h
//  iTimesheet
//
//  Created by Mark Brindle on 09/04/2011.
//  Copyright 2011 ARKEMM Software Limited. All rights reserved.
//

#import <UIKit/UIKit.h>

// Constant identifiers for rate picker elements
#define kUnitComponent 0
#define kRateComponent 1

// Added <.., ..> Picker delegate/datasource interfaces 
@interface InsertCostCentreViewController : UIViewController
<UITextViewDelegate, UIPickerViewDelegate, UIPickerViewDataSource> {
    
  UITextField *nameField;
    UIPickerView *ratePicker;
}

@property (nonatomic, retain) IBOutlet UITextField *nameField;
@property (nonatomic, retain) IBOutlet UIPickerView *ratePicker;

// Properties added manually to hold rate selection details 
@property (nonatomic, retain) NSArray *unitTypes;
@property (nonatomic, retain) NSArray *rateTypes;

// Properties added manually to hold user entered/selected data
@property (nonatomic, copy) NSString *costCentreName;
@property (nonatomic, copy) NSString *costCentreRate;
@property (nonatomic, copy) NSString *costCentreUnit;


- (IBAction)nameFieldDoneEditing:(id)sender;

// Added method declarations

- (IBAction)create:(id)sender;
- (IBAction)cancel:(id)sender;

@end
